Important Update Notes

PresSTORE 3.2 – Important Update Note

If you are already running 3.1.x of PresSTORE Backup, Archive und Synchronize, then updating to 3.2 at this stage is not necessary as there are minimal changes between 3.1 and 3.2.

If yours is a new installation, or you are deploying Backup2Go into an existing installation, then your should use PresSTORE 3.2.
If you are experiencing an immediate problem, contact your local support representative for prompt assistance.

PresSTORE 3.2+ – Known Problems and Bugs

The following are known problems and bugs in PresSTORE 3.2+. This list is subject to change at any time.
No known issues at this time!